﻿@model Tuple<List<CompanyView>, List<UserUDFView>, List<SAPObjectView>>
<div class="table-responsive">
    <table class="table table-striped">
        <thead>
            <tr>
                <th>@Companies.CN</th>
                <th>UDF</th>
                <th>@Users.Document</th>
                <th>&nbsp;</th>
            </tr>
        </thead>
        <tbody>
            @{
                List<CompanyView> listCompanyAux = Model.Item1;
                foreach (UserUDFView item in Model.Item2)
                {
                    <tr>
                        <td>@listCompanyAux.Where(c => c.IdCompany == item.IdCompany).FirstOrDefault().CompanyDB</td>
                        <td>@item.UDFDesc</td>
                        <td>@Model.Item3.Where(c => c.ObjectTable == item.Document).FirstOrDefault().ObjectName
                        <td>
                            <a href='#' onclick="DeleteUDF('@item.IdUDF')" class="btn btn-primary btn-xs">
                                <span class="glyphicon glyphicon-trash"></span>&nbsp;@Companies.Delete
                            </a>
                        </td>
                    </tr>
                }
            }
        </tbody>
    </table>
</div>

